<script setup>
import { useI18n } from 'vue-i18n';
import VnCard from 'components/common/VnCard.vue';
import AccountDescriptor from './AccountDescriptor.vue';

const { t } = useI18n();
</script>

<template>
    <VnCard
        data-key="Account"
        :descriptor="AccountDescriptor"
        search-data-key="AccountList"
        :searchbar-props="{
            url: 'VnUsers/preview',
            label: t('account.search'),
            info: t('account.searchInfo'),
        }"
    />
</template>
